Subject: Fwd: Agentx query

From: Randy Presuhn <[email-masked]>
Date: Mon, 15 May 2000 10:51:40 -0700 (PDT)

Hi -

I'm forwarding a non-subscriber post to the agentx working
group mailing list.  Subscription instructions are available
at http://www.ietf.org/html.charters/agentx-charter.html

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]       http://www.bmc.com/
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141  2141 N. First Street
 Fax:   +1 408 965-0359  San Jose, California 95131  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's should be coincidental.
 ------------------------------------------------------------------------

> Received: from tangelo.bmc.com ([email-masked] [172.17.7.166])
> 	by Dorothy.Bmc.Com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id CAA10236
> 	for <[email-masked]>; Mon, 15 May 2000 02:55:09 -0700 (PDT)
> From: [email-masked]
> Received: from fw-us-hou1.bmc.com (fw-us-hou1.bmc.com [172.17.0.250])
> 	by tangelo.bmc.com (8.8.6 (PHNE_17135)/8.8.6) with SMTP id EAA26586
> 	for <[email-masked]>; Mon, 15 May 2000 04:55:50 -0500 (CDT)
> Received: from sandesh.hss.hns.com (sandesh.hss.hns.com [139.85.242.35])
> 	by tapti.hss.hns.com (8.8.8/8.8.8) with SMTP id QAA29511
> 	for <[email-masked]>; Mon, 15 May 2000 16:06:54 +0530 (IST)
> Received: by sandesh.hss.hns.com(Lotus SMTP MTA v4.6.3  (733.2 10-16-1998))  id 652568E0.0035C931 ; Mon, 15 May 2000 15:17:29 +0530
> X-Lotus-FromDomain: HSS
> To: [email-masked]
> Message-ID: <[email-masked]>
> Date: Mon, 15 May 2000 15:17:27 +0530
> Subject: Agentx query
> Mime-Version: 1.0
> Content-type: text/plain; charset=us-ascii
> Content-Disposition: inline
> 
> 
> 
> Hi,
> 
> I have a query regarding Agentx.
> 
> Is it possible that different sub agents register different instances of an
> object OR for a particular table implementation, some rows are with sub agent 1,
> some with sub agent 2 and so on. In this case, both the sub agents shall
> register their specific rows of the table supported by them, with Master Agent.
> 
> Could you let me know whether this is possible and issues what so ever arising
> out of this??
> 
> Expecting to hear from you soon.
> 
> Rohit Kandhari
> Hughes Software Systems
> India.
> 
> 
>

---

From: Mike Daniele <[email-masked]>
Date: Mon, 15 May 2000 14:44:27 -0400

> at http://www.ietf.org/html.charters/agentx-charter.html

Yes, that is expressly provided for in AgentX.

There is no difference between registering instances of an object and
registering entire rows, a row just being a group of object instances.
AgentX supports registering a range of object identifiers to facilitate
registering rows of a table.

See RFC 2741 section 7.1.4.2 for a discussion and some examples.

> > Could you let me know whether this is possible and issues what so ever arising

One possible issue is knowing what index values to use when registering instances.

An index allocation service is part of AgentX, and again this is discussed
in the section mentioned above.

Hope this helps.

Mike